Bug 905727 - (CVE-2014-7829) VUL-0: CVE-2014-7829: rubygem-actionpack-3_2: Arbitrary file existence disclosure
(CVE-2014-7829)
VUL-0: CVE-2014-7829: rubygem-actionpack-3_2: Arbitrary file existence disclo...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P5 - None : Normal
: ---
Assigned To: Security Team bot
Security Team bot
maint:released:sle11-sp2:59767 CVSSv...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-17 11:55 UTC by Johannes Segitz
Modified: 2016-02-17 21:17 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Segitz 2014-11-17 11:55:02 UTC
Created attachment 613877 [details]
Patch for the 3.2.x release series

Will become public today (2014-11-17)

Arbitrary file existence disclosure in Action Pack

There is an information leak vulnerability in Action Pack. This vulnerability
has been assigned the CVE identifier CVE-2014-7829.

Versions Affected:  >= 3.0.0
Not affected:       <= 3.0.0, 4.2.0.beta4
Fixed Versions:     3.2.21, 4.0.12, 4.1.8

Impact
------
Specially crafted requests can be used to determine whether a file exists on
the filesystem that is outside the Rails application's root directory.  The
files will not be served, but attackers can determine whether or not the file
exists.  This vulnerability is very similar to CVE-2014-7818, but the
specially crafted string is slightly different.

This only impacts Rails applications that enable static file serving at
runtime.  For example, the application's production configuration will say:

  config.serve_static_assets = true

All users running an affected release should either upgrade or use one of the work arounds immediately.

Releases
--------
The 3.2.21, 4.0.12 & 4.1.8 releases are available at the normal locations.

Workarounds
-----------
To work around this issue, set config.serve_static_assets = false in an initializer.  This work around will not be possible in all hosting environments and upgrading is advised.

Patches
-------
To aid users who aren't able to upgrade immediately we have provided patches for the two supported release series.  They are in git-am format and consist of a single changeset.

* 3-1-sec-static-files.patch - Patch for the 3.1.x release series
* 3-2-sec-static-files.patch - Patch for the 3.2.x release series
* 4-0-sec-static-files.patch - Patch for the 4.0.x release series
* 4-1-sec-static-files.patch - Patch for the 4.1.x release series

Please note that only the 3.2.x, 4.0.x & 4.1.x  series are supported at present.  Users of earlier unsupported releases are advised to upgrade as soon as possible as we cannot guarantee the continued availability of security fixes for unsupported releases.

Credits
-------

This vulnerability was reported by multiple researchers working independently.  Thanks to each of them for reporting the issue to us and verifying the fixes.

* Patrick Toomey of GitHub
* Remon Oldenbeuving of hackerone
Comment 1 Johannes Segitz 2014-11-17 16:13:31 UTC
is public
Comment 3 Jordi Massaguer 2014-11-19 19:36:08 UTC
I've sent the Submit Requests. They will appear automatically as comments in short.
Comment 5 Bernhard Wiedemann 2014-11-19 20:00:37 UTC
This is an autogenerated message for OBS integration:
This bug (905727) was mentioned in
https://build.opensuse.org/request/show/262371 12.3 / rubygem-actionpack-3_2
https://build.opensuse.org/request/show/262372 13.1 / rubygem-actionpack-3_2
https://build.opensuse.org/request/show/262373 13.2 / rubygem-actionpack-3_2
Comment 6 Johannes Segitz 2014-11-20 12:46:55 UTC
I will add this to https://swamp.suse.de/webswamp/wf/59639
Comment 7 Swamp Workflow Management 2014-11-27 10:05:29 UTC
openSUSE-SU-2014:1515-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 903662,905727
CVE References: CVE-2014-7818,CVE-2014-7829
Sources used:
openSUSE 13.2 (src):    rubygem-actionpack-3_2-3.2.17-3.4.1
openSUSE 13.1 (src):    rubygem-actionpack-3_2-3.2.13-2.28.1
openSUSE 12.3 (src):    rubygem-actionpack-3_2-3.2.12-1.32.1
Comment 8 Swamp Workflow Management 2015-01-28 00:05:39 UTC
SUSE-SU-2015:0156-1: An update that solves one vulnerability and has one errata is now available.

Category: security (moderate)
Bug References: 903662,905727
CVE References: CVE-2014-7818
Sources used:
WebYaST 1.3 (src):    rubygem-actionpack-3_2-3.2.12-0.19.1
SUSE Studio Onsite 1.3 (src):    rubygem-actionpack-3_2-3.2.12-0.19.1
SUSE Lifecycle Management Server 1.3 (src):    rubygem-actionpack-3_2-3.2.12-0.19.1
Comment 9 Jordi Massaguer 2015-02-24 15:22:24 UTC
can we close this bug?
Comment 10 Johannes Segitz 2015-02-24 15:56:47 UTC
(In reply to Jordi Massaguer from comment #9)
yes, this is done.